org.apache.pdfbox.pdmodel.font

## Class FontInfo

- java.lang.Object
- - org.apache.pdfbox.pdmodel.font.FontInfo

    public abstract class FontInfo
    extends Object

Information about a font on the system.

Author:
  John Hewson

### Constructor Summary

Constructors
Constructor and Description
`FontInfo()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract CIDSystemInfo` `getCIDSystemInfo()` Returns the CIDSystemInfo associated with the font, if any.
`abstract int` `getCodePageRange1()` Returns the ulCodePageRange1 field of the "OS/2" table, or 0.
`abstract int` `getCodePageRange2()` Returns the ulCodePageRange2 field of the "OS/2" table, or 0.
`abstract int` `getFamilyClass()` Returns the sFamilyClass field of the "OS/2" table, or -1.
`abstract org.apache.fontbox.FontBoxFont` `getFont()` Returns a new FontBox font instance for the font.
`abstract FontFormat` `getFormat()` Returns the font's format.
`abstract int` `getMacStyle()` Returns the macStyle field of the "head" table, or -1.
`abstract PDPanoseClassification` `getPanose()` Returns the Panose classification of the font, if any.
`abstract String` `getPostScriptName()` Returns the PostScript name of the font.
`abstract int` `getWeightClass()` Returns the usWeightClass field of the "OS/2" table, or -1.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FontInfo

    public FontInfo()

### Method Detail

#### getPostScriptName

    public abstract String getPostScriptName()

Returns the PostScript name of the font.

#### getFormat

    public abstract FontFormat getFormat()

Returns the font's format.

#### getCIDSystemInfo

    public abstract CIDSystemInfo getCIDSystemInfo()

Returns the CIDSystemInfo associated with the font, if any.

#### getFont

    public abstract org.apache.fontbox.FontBoxFont getFont()

Returns a new FontBox font instance for the font. Implementors of this method must not cache the return value of this method unless doing so via the current `FontCache`.

#### getFamilyClass

    public abstract int getFamilyClass()

Returns the sFamilyClass field of the "OS/2" table, or -1.

#### getWeightClass

    public abstract int getWeightClass()

Returns the usWeightClass field of the "OS/2" table, or -1.

#### getCodePageRange1

    public abstract int getCodePageRange1()

Returns the ulCodePageRange1 field of the "OS/2" table, or 0.

#### getCodePageRange2

    public abstract int getCodePageRange2()

Returns the ulCodePageRange2 field of the "OS/2" table, or 0.

#### getMacStyle

    public abstract int getMacStyle()

Returns the macStyle field of the "head" table, or -1.

#### getPanose

    public abstract PDPanoseClassification getPanose()

Returns the Panose classification of the font, if any.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`